import 'dart:convert';

import 'package:webinbox/webinbox.dart';
import 'package:yona_crypto/crypto.dart';

void main() async {
  var sk1 = genSK();
  var pk2 = derivePK(genSK());
  var msg = Msg(derivePK(sk1), pk2, "hi");
  var sig = sign(sk1, utf8.encoder.convert(msg.data));
  var host = Uri.parse("http://YonaFediverse.com:4444");
  var t = DateTime.now();
  for (var i = 0; i < 10; i++) {
    await put(host, msg, sig);
  }
  print(DateTime
      .now()
      .millisecondsSinceEpoch - t.millisecondsSinceEpoch);
  var since = "";
  for (;;) {
    var res = await get(host, pk2, since);
    print(res);
    since = res.id!;
  }
}
